/*
 * Copyright 2004-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.jface.component;

import java.util.List;

/**
 * 子を持つことができる画面要素を表すインターフェースです。<br />
 * 
 * @author y-komori
 */
public interface UIContainer extends UIComponent {
    /**
     * 子となる {@link UIComponent} を追加します。<br/ >
     * 
     * @param child
     *            子コンポーネント
     */
    public void addChild(UIComponent child);

    /**
     * 子コンポーネントのリストを取得します。<br />
     * 
     * @return 子コンポーネントのリスト
     */
    public List<UIComponent> getChildren();
}
